//
// ONVIFCameraImageInfo.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraImageInfo: Codable {

    public var brightness: ONVIFCameraImageSetting?
    public var colorSaturation: ONVIFCameraImageSetting?
    public var contrast: ONVIFCameraImageSetting?
    public var sharpness: ONVIFCameraImageSetting?
    public var backlightCompensation: ONVIFCameraBacklight?
    public var irCutFilter: ONVIFCameraIrCutFilter?
    public var exposure: ONVIFCameraExposure?
    public var whiteBalance: ONVIFCameraWhiteBalance?
    public var wideDynamicRange: ONVIFCameraWideDynamicRange?

    public init(brightness: ONVIFCameraImageSetting? = nil, colorSaturation: ONVIFCameraImageSetting? = nil, contrast: ONVIFCameraImageSetting? = nil, sharpness: ONVIFCameraImageSetting? = nil, backlightCompensation: ONVIFCameraBacklight? = nil, irCutFilter: ONVIFCameraIrCutFilter? = nil, exposure: ONVIFCameraExposure? = nil, whiteBalance: ONVIFCameraWhiteBalance? = nil, wideDynamicRange: ONVIFCameraWideDynamicRange? = nil) {
        self.brightness = brightness
        self.colorSaturation = colorSaturation
        self.contrast = contrast
        self.sharpness = sharpness
        self.backlightCompensation = backlightCompensation
        self.irCutFilter = irCutFilter
        self.exposure = exposure
        self.whiteBalance = whiteBalance
        self.wideDynamicRange = wideDynamicRange
    }

    public enum CodingKeys: String, CodingKey { 
        case brightness
        case colorSaturation = "color_saturation"
        case contrast
        case sharpness
        case backlightCompensation = "backlight_compensation"
        case irCutFilter = "ir_cut_filter"
        case exposure
        case whiteBalance = "white_balance"
        case wideDynamicRange = "wide_dynamic_range"
    }

}
